DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Macros | Enumerations
dcmqridx.h File Reference

type definitions and constants for the database index file More...

## Classes
struct | DB_SerializedTagKey
struct | DB_SerializedCharPtr
struct | DB_SmallDcmElmt
| this class provides a primitive interface for handling a flat DICOM element, similar to DcmElement, but only for use within the database module More...
struct | DB_ElementList
| this class provides a primitive interface for handling a list of flat DICOM elements, similar to DcmItem, but only for use within the database module More...
struct | DB_UidList
struct | DB_CounterList
struct | DB_FindAttr
struct | DB_Private_Handle
struct | StudyDescRecord
| this struct defines the structure of each "Study Record" in the index.dat file maintained by this module. More...
struct | ImagesofStudyArray
struct | IdxRecord
| this class manages an instance entry of the index file. More...
union | DB_SerializedCharPtr.ptr

## Macros
#define | PATIENT_LEVEL_STRING "PATIENT"
| Level Strings.

## Enumerations
enum | DB_KEY_TYPE { UNIQUE_KEY , REQUIRED_KEY , OPTIONAL_KEY }
| types of query keys More...
enum | DB_QUERY_CLASS { PATIENT_ROOT , STUDY_ROOT , PATIENT_STUDY }
| query models More...

## Detailed Description

type definitions and constants for the database index file

## Class Documentation

## ◆ DB_UidList

struct DB_UidList

## ◆ DB_CounterList

struct DB_CounterList

## ◆ StudyDescRecord

struct StudyDescRecord

this struct defines the structure of each "Study Record" in the index.dat file maintained by this module.

A Study Record is a direct binary copy of an instance of this struct.

Class Members
double | LastRecordedDate | timestamp for last update of this study. Format: output of time(2) converted to double.
Uint32 | NumberofRegistratedImages | number of images of this study in the database
char | StudyInstanceUID[UI_MAX_LENGTH+1] | Study Instance UID of the study described by this record.
Uint32 | StudySize | combined size (in bytes) of all images of this study in the database

## ◆ ImagesofStudyArray

struct ImagesofStudyArray

## ◆ DB_SerializedCharPtr.ptr

union DB_SerializedCharPtr.ptr

## Enumeration Type Documentation

## ◆ DB_KEY_TYPE

enum DB_KEY_TYPE

types of query keys

Enumerator
UNIQUE_KEY | unique key
REQUIRED_KEY | required key
OPTIONAL_KEY | optional key

## ◆ DB_QUERY_CLASS

enum DB_QUERY_CLASS

query models

Enumerator
PATIENT_ROOT | patient root Q/R model
STUDY_ROOT | study root Q/R model
PATIENT_STUDY | patient/study only Q/R model

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2